<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="Contnet-type" content="text/html;charset=UTF-8">
	<title>js-面向对象-继承</title>
	<script type="text/javascript">
		function A(){
			this.a=12;
		};
		A.prototype.show=function(){
			alert("aa");
		};
		//继承A
		function B(){
			//this->new B()
			A.call(this);//继承属性
		};
		//继承方法，这样的继承可能影响A的方法，因为这样的继承像引用
		// B.prototype=A.prototype;
		B.prototype.fn=function(){
			alert("b");
		};
		// 继承方法，可以防止影响A的方法
		for(var i in A.prototype){
			B.prototype[i]=A.prototype[i];
		}
		var objB=new B();
		var objA=new A();

		alert(objB.a);
		objB.show();
	</script>
</head>
<body>
	
</body>
</html>